#include<bits/stdc++.h>
using namespace std;
ifstream fi("TSNT.inp");
ofstream fo("TSNT.out");
int kt(int x){
   if(x<2)return 0;
   else{
      bool k=true;
      for(int i=2;i*i<=x;++i)if(x%i==0){k=false;return 0;}
      return int(k);
   }
}
int main(){
   std::ios::sync_with_stdio(false);
   int n;
   fi>>n;
   if(kt(n))fo<<n<<"="<<n<<endl<<n;
   else{
      int i=2,ans=0;
      fo<<n<<"=";
      while(n!=1){
      while(n%i==0){
         if(n/i >1)fo<<i<<'*';
         else fo<<i;
         n=n/i;
         ans+=i;
      }
      ++i;
   }
   fo<<endl<<ans;
}

}
